Package org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.match

# Class MatchOfContainmentReferenceChangeProcessor

java.lang.Object
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.match.MatchOfContainmentReferenceChangeProcessor

public class MatchOfContainmentReferenceChangeProcessor extends Object
Process a comparison to detect `Match`es related to containment ReferenceChange. Add a `MatchOfContainmentReferenceChangeAdapter` on such Matches.

## Constructor Summary

Constructors
Constructor
Description
`MatchOfContainmentReferenceChangeProcessor()`

## Method Summary

Modifier and Type
Method
Description
`void`
`execute(Comparison comp)`
Check for the given `Comparison`, if `Match`es are related to a containment ReferenceChange.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MatchOfContainmentReferenceChangeProcessor

public MatchOfContainmentReferenceChangeProcessor()

## Method Details

### execute

public void execute(Comparison comp)
Check for the given `Comparison`, if `Match`es are related to a containment ReferenceChange. If it is add a `MatchOfContainmentReferenceChangeAdapter` to these `Match`es.

Parameters:
  `comp` - The `Comparison` to check.